package de.dass_it.vanhelsing.gui.items;
public class SDStorageItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="workingdirectory"
	 */
	private String workingdirectory;
	/**
	 * @uml.property  name="piddirectory"
	 */
	private String piddirectory;
	/**
	 * @uml.property  name="heartbeatinterval"
	 */
	private String heartbeatinterval;
	/**
	 * @uml.property  name="clientconnectwait"
	 */
	private String clientconnectwait;
	/**
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	private String maximumconcurrentjobs;
	/**
	 * @uml.property  name="sdaddresses"
	 */
	private String sdaddresses;
	/**
	 * @uml.property  name="sdport"
	 */
	private String sdport;
	/**
	 * @uml.property  name="sdaddress"
	 */
	private String sdaddress;

	public SDStorageItem() {}
	public SDStorageItem(String name, String workingDirectory, String pidDirectory) {
		setName(name);
		setWorkingdirectory(workingdirectory);
		setPiddirectory(piddirectory);
	}
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return
	 * @uml.property  name="workingdirectory"
	 */
	public String getWorkingdirectory() {
		return workingdirectory;
	}
	/**
	 * @param workingdirectory
	 * @uml.property  name="workingdirectory"
	 */
	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}
	/**
	 * @return
	 * @uml.property  name="piddirectory"
	 */
	public String getPiddirectory() {
		return piddirectory;
	}
	/**
	 * @param piddirectory
	 * @uml.property  name="piddirectory"
	 */
	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}
	/**
	 * @return
	 * @uml.property  name="heartbeatinterval"
	 */
	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}
	/**
	 * @param heartbeatinterval
	 * @uml.property  name="heartbeatinterval"
	 */
	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}
	/**
	 * @return
	 * @uml.property  name="clientconnectwait"
	 */
	public String getClientconnectwait() {
		return clientconnectwait;
	}
	/**
	 * @param clientconnectwait
	 * @uml.property  name="clientconnectwait"
	 */
	public void setClientconnectwait(String clientconnectwait) {
		this.clientconnectwait = clientconnectwait;
	}
	/**
	 * @return
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}
	/**
	 * @param maximumconcurrentjobs
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}
	/**
	 * @return
	 * @uml.property  name="sdaddresses"
	 */
	public String getSdaddresses() {
		return sdaddresses;
	}
	/**
	 * @param sdaddresses
	 * @uml.property  name="sdaddresses"
	 */
	public void setSdaddresses(String sdaddresses) {
		this.sdaddresses = sdaddresses;
	}
	/**
	 * @return
	 * @uml.property  name="sdport"
	 */
	public String getSdport() {
		return sdport;
	}
	/**
	 * @param sdport
	 * @uml.property  name="sdport"
	 */
	public void setSdport(String sdport) {
		this.sdport = sdport;
	}
	/**
	 * @return
	 * @uml.property  name="sdaddress"
	 */
	public String getSdaddress() {
		return sdaddress;
	}
	/**
	 * @param sdaddress
	 * @uml.property  name="sdaddress"
	 */
	public void setSdaddress(String sdaddress) {
		this.sdaddress = sdaddress;
	}

	
}
